Common (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.client
Class Common

    java.lang.Object
      org.gcube.datatransfer.portlets.user.client.Common

Direct Known Subclasses:
  Functionality, Panels, Popups, RPCalls, SchedulerPortlet, Utils

    public class Common

extends Object

Author:
  Nikolaos Drakopoulos(CERN)

Nested Class Summary
`static class` | `Common.DESTTYPE`
`static class` | `Common.FolderToRetrieve`
`static class` | `Common.SOURCETYPE`

Field Summary
`static String` | `agentHostname`
`static boolean` | `agentIsSelectedFromStatsPanel`
`static AgentStatProperties` | `agentStatProp`
`static com.sencha.gxt.widget.core.client.button.ToolButton` | `agentStats`
`static com.sencha.gxt.widget.core.client.tips.ToolTipConfig` | `agentStatsTooltip`
`static int` | `autoId`
`static BaseDtoProperties` | `baseDtoProp`
`static CallingManagementResult` | `callingManagementResult`
`static String` | `callingManagementResultJson`
`static CallingSchedulerResult` | `callingSchedulerResult`
`static boolean` | `callingWorkspaceRoot`
`static com.sencha.gxt.widget.core.client.grid.ColumnConfig<Uri,String>` | `cc1Uris`
`static com.sencha.gxt.widget.core.client.grid.ColumnConfig<Uri,String>` | `cc2Uris`
`static com.google.gwt.user.client.ui.Button` | `closeButton`
`static com.sencha.gxt.widget.core.client.grid.ColumnModel<AgentStat>` | `cmAgentStat`
`static ComboForSource` | `combo1`
`static com.sencha.gxt.widget.core.client.toolbar.LabelToolItem` | `combo1Label`
`static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>` | `comboAgent`
`static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>` | `commands`
`static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>` | `commandsInGrid`
`static String` | `currentAgentDestinationPath`
`static String` | `currentAgentSourcePath`
`static String` | `currentDataSourcePath`
`static String` | `currentDataStoragePath`
`static String` | `currentMongoDBDestinationPath`
`static String` | `currentMongoDBSourcePath`
`static List<String>` | `dataSourcesList`
`static List<String>` | `dataStoragesList`
`static com.sencha.gxt.widget.core.client.form.DateField` | `date`
`static com.sencha.gxt.widget.core.client.form.FieldLabel` | `dateLabel`
`static String` | `defaultResourceName`
`static String` | `defaultScope`
`static com.sencha.gxt.widget.core.client.form.CheckBox` | `defaultValuesSource`
`static com.sencha.gxt.widget.core.client.form.CheckBox` | `defaultValuesStorage`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `deleteCurrentFolder`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `deleteCurrentTreeSource`
`static ComboForDestination` | `destCombo`
`static com.sencha.gxt.widget.core.client.tips.ToolTipConfig` | `destinationAnchor`
`static com.sencha.gxt.widget.core.client.form.TextField` | `destinationF`
`static String` | `destinationFolder`
`static com.sencha.gxt.widget.core.client.toolbar.LabelToolItem` | `destLabel`
`static com.sencha.gxt.widget.core.client.toolbar.LabelToolItem` | `destLabelF`
`static com.google.gwt.user.client.ui.DialogBox` | `dialogBoxGen`
`static com.google.gwt.user.client.ui.VerticalPanel` | `east`
`static com.sencha.gxt.widget.core.client.grid.editing.GridEditing<Uri>` | `editing`
`static com.google.gwt.user.client.ui.FocusPanel` | `foc`
`static com.google.gwt.user.client.Timer` | `focusTimer`
`static FolderDto` | `folderDestination`
`static String` | `folderResDestination`
`static String` | `folderResSource`
`static FolderDto` | `folderSource`
`static com.sencha.gxt.widget.core.client.form.CheckBox` | `force`
`static com.sencha.gxt.widget.core.client.form.CheckBox` | `forceInGrid`
`static com.sencha.gxt.widget.core.client.Dialog` | `forTreeElementDescription`
`static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>` | `frequency`
`static Functionality` | `functions`
`static boolean` | `gettingUserAndScope`
`static com.google.gwt.user.client.Timer` | `getTransferRepeatingTimer`
`static com.google.gwt.user.client.Timer` | `getTransferTimer`
`static com.sencha.gxt.widget.core.client.grid.Grid<TransferInfo>` | `grid`
`static com.sencha.gxt.widget.core.client.grid.Grid<AgentStat>` | `gridAgentStats`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `hideSchedulerButton`
`static String` | `idWorkspaceRoot`
`static List<String>` | `inputUrls`
`static boolean` | `isAdmin`
`static String` | `jsonWorkspace`
`static String` | `lastCombo1Value`
`static String` | `lastDestComboValue`
`static String` | `lastSelectedAgentFolderDestName`
`static String` | `lastSelectedAgentFolderName`
`static String` | `lastSelectedDataSourceFolderName`
`static String` | `lastSelectedDatastorageFolderName`
`static String` | `lastSelectedFolderId`
`static String` | `lastSelectedMongoDBFolderDestName`
`static String` | `lastSelectedMongoDBFolderName`
`static List<AgentStat>` | `listAgentStats`
`static List<Outcomes>` | `listOutcomes`
`static List<TreeOutcomes>` | `listTreeOutcomes`
`static com.google.gwt.user.client.ui.PopupPanel` | `loadingIconForSource`
`static com.google.gwt.user.client.ui.PopupPanel` | `loadingIconForTarget`
`static com.google.gwt.user.client.ui.PopupPanel` | `loadingIconForTransfers`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `makeNewFolder`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `makeNewTreeSource`
`static int` | `minGenHeight`
`static int` | `minGenWidth`
`static com.google.gwt.user.client.ui.ListBox` | `multiBoxAgents`
`static com.google.gwt.user.client.ui.ListBox` | `multiBoxDataSources`
`static com.google.gwt.user.client.ui.ListBox` | `multiBoxDataStorages`
`static com.google.gwt.user.client.ui.ListBox` | `multiBoxDestinationType`
`static com.google.gwt.user.client.ui.ListBox` | `multiBoxSourceType`
`static com.google.gwt.user.client.ui.ListBox` | `multiBoxTreeWriteSources`
`static boolean` | `neededParent`
`static com.sencha.gxt.widget.core.client.form.TextField` | `newFolderField`
`static com.sencha.gxt.widget.core.client.form.TextField` | `newTreeSourceField`
`static OutcomesProperties` | `outcomesProp`
`static com.sencha.gxt.widget.core.client.form.CheckBox` | `overwrite`
`static com.sencha.gxt.widget.core.client.FramedPanel` | `panelGeneral`
`static Panels` | `panels`
`static com.sencha.gxt.widget.core.client.form.PasswordField` | `passWorkspace`
`static Popups` | `popups`
`static SchedulerPortlet` | `portlet`
`static String` | `printFolderString`
`static com.google.gwt.user.client.Timer` | `resizeTimer`
`static com.sencha.gxt.widget.core.client.form.TextField` | `ResourceName`
`static com.sencha.gxt.widget.core.client.form.TextField` | `ResourceNameInGrid`
`static RPCalls` | `rpCalls`
`static SchedulerServiceAsync` | `schedulerService`
`static com.sencha.gxt.widget.core.client.form.TextField` | `scope`
`static com.sencha.gxt.widget.core.client.form.TextField` | `scopeInGrid`
`static String` | `selectedAgentDestination`
`static String` | `selectedAgentDestinationPath`
`static String` | `selectedAgentDestinationPort`
`static String` | `selectedAgentSource`
`static String` | `selectedAgentSourcePath`
`static String` | `selectedAgentSourcePort`
`static String` | `selectedDataSourceId`
`static String` | `selectedDatasourcePath`
`static String` | `selectedDataStorageId`
`static String` | `selectedDatastorageName`
`static String` | `selectedDatastoragePath`
`static String` | `selectedDestCollection`
`static String` | `selectedMongoDBDestinationPath`
`static String` | `selectedMongoDBSourcePath`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `sendButton`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `showDestinationsButton`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `showSchedulerButton`
`static com.sencha.gxt.widget.core.client.button.TextButton` | `showSourcesButton`
`static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>` | `smAccessType`
`static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>` | `smAccessTypeSource`
`static com.sencha.gxt.widget.core.client.form.TextField` | `smOwner`
`static com.sencha.gxt.widget.core.client.form.TextField` | `smOwnerSource`
`static com.sencha.gxt.widget.core.client.form.TextField` | `smServiceClass`
`static com.sencha.gxt.widget.core.client.form.TextField` | `smServiceClassSource`
`static com.sencha.gxt.widget.core.client.form.TextField` | `smServiceName`
`static com.sencha.gxt.widget.core.client.form.TextField` | `smServiceNameSource`
`static com.sencha.gxt.widget.core.client.tips.ToolTipConfig` | `sourceAnchor`
`static com.sencha.gxt.data.shared.TreeStore<BaseDto>` | `sourceStore`
`static com.sencha.gxt.widget.core.client.tree.Tree<BaseDto,String>` | `sourceTree`
`static com.sencha.gxt.widget.core.client.ContentPanel` | `south`
`static String` | `specificationLink`
`static com.sencha.gxt.data.shared.ListStore<TransferInfo>` | `store`
`static com.sencha.gxt.data.shared.ListStore<AgentStat>` | `storeAgentStats`
`static com.sencha.gxt.data.shared.ListStore<Uri>` | `storeForUris`
`static String` | `stringOfAgents`
`static String` | `stringOfAgentStats`
`static String` | `stringOfWriteSourceIDs`
`static com.sencha.gxt.data.shared.TreeStore<BaseDto>` | `targetStore`
`static com.sencha.gxt.widget.core.client.tree.Tree<BaseDto,String>` | `targetTree`
`static com.sencha.gxt.dnd.core.client.TreeDropTarget<BaseDto>` | `targetTreeDropTarget`
`static com.sencha.gxt.widget.core.client.form.TimeField` | `time`
`static com.sencha.gxt.widget.core.client.form.FieldLabel` | `timeLabel`
`static com.sencha.gxt.data.shared.TreeStore<BaseDto>` | `toBeTransferredStore`
`static com.sencha.gxt.widget.core.client.toolbar.ToolBar` | `toolbarDestF`
`static com.sencha.gxt.widget.core.client.toolbar.ToolBar` | `toolbarSource`
`static int` | `totalWidth`
`static com.sencha.gxt.widget.core.client.form.TextField` | `transferId`
`static com.sencha.gxt.widget.core.client.form.TextField` | `transferIdInGrid`
`static TransferInfoProperties` | `transferInfoProp`
`static TreeOutcomesProperties` | `treeOutcomesProp`
`static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String>` | `typeOfSchedule`
`static com.sencha.gxt.widget.core.client.form.CheckBox` | `unzip`
`static com.sencha.gxt.widget.core.client.grid.Grid<Uri>` | `uriGrid`
`static UriProperties` | `uriProp`
`static com.sencha.gxt.widget.core.client.container.HorizontalLayoutContainer` | `vpListFiles`
`static com.google.gwt.user.client.ui.VerticalPanel` | `west`

Constructor Summary
`Common()`

Method Summary
`static com.sencha.gxt.widget.core.client.grid.editing.GridEditing<Uri>` | `createGridEditing(com.sencha.gxt.widget.core.client.grid.Grid<Uri> editableGrid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schedulerService

    public static final SchedulerServiceAsync schedulerService

### rpCalls

    public static RPCalls rpCalls

### panels

    public static Panels panels

### popups

    public static Popups popups

### functions

    public static Functionality functions

### specificationLink

    public static String specificationLink

### destinationFolder

    public static String destinationFolder

### defaultResourceName

    public static String defaultResourceName

### defaultScope

    public static String defaultScope

### isAdmin

    public static boolean isAdmin

### minGenWidth

    public static int minGenWidth

### totalWidth

    public static int totalWidth

### minGenHeight

    public static int minGenHeight

### focusTimer

    public static com.google.gwt.user.client.Timer focusTimer

### resizeTimer

    public static com.google.gwt.user.client.Timer resizeTimer

### foc

    public static com.google.gwt.user.client.ui.FocusPanel foc

### loadingIconForSource

    public static com.google.gwt.user.client.ui.PopupPanel loadingIconForSource

### loadingIconForTarget

    public static com.google.gwt.user.client.ui.PopupPanel loadingIconForTarget

### loadingIconForTransfers

    public static com.google.gwt.user.client.ui.PopupPanel loadingIconForTransfers

### panelGeneral

    public static com.sencha.gxt.widget.core.client.FramedPanel panelGeneral

### agentHostname

    public static String agentHostname

### inputUrls

    public static List<String> inputUrls

### callingWorkspaceRoot

    public static boolean callingWorkspaceRoot

### idWorkspaceRoot

    public static String idWorkspaceRoot

### autoId

    public static int autoId

### getTransferTimer

    public static com.google.gwt.user.client.Timer getTransferTimer

### getTransferRepeatingTimer

    public static com.google.gwt.user.client.Timer getTransferRepeatingTimer

### agentIsSelectedFromStatsPanel

    public static boolean agentIsSelectedFromStatsPanel

### dialogBoxGen

    public static com.google.gwt.user.client.ui.DialogBox dialogBoxGen

### closeButton

    public static com.google.gwt.user.client.ui.Button closeButton

### west

    public static com.google.gwt.user.client.ui.VerticalPanel west

### east

    public static com.google.gwt.user.client.ui.VerticalPanel east

### south

    public static com.sencha.gxt.widget.core.client.ContentPanel south

### frequency

    public static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String> frequency

### typeOfSchedule

    public static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String> typeOfSchedule

### commands

    public static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String> commands

### ResourceName

    public static com.sencha.gxt.widget.core.client.form.TextField ResourceName

### scope

    public static com.sencha.gxt.widget.core.client.form.TextField scope

### transferId

    public static com.sencha.gxt.widget.core.client.form.TextField transferId

### dateLabel

    public static com.sencha.gxt.widget.core.client.form.FieldLabel dateLabel

### timeLabel

    public static com.sencha.gxt.widget.core.client.form.FieldLabel timeLabel

### force

    public static com.sencha.gxt.widget.core.client.form.CheckBox force

### overwrite

    public static com.sencha.gxt.widget.core.client.form.CheckBox overwrite

### unzip

    public static com.sencha.gxt.widget.core.client.form.CheckBox unzip

### date

    public static com.sencha.gxt.widget.core.client.form.DateField date

### time

    public static com.sencha.gxt.widget.core.client.form.TimeField time

### comboAgent

    public static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String> comboAgent

### combo1

    public static ComboForSource combo1

### destCombo

    public static ComboForDestination destCombo

### destinationF

    public static com.sencha.gxt.widget.core.client.form.TextField destinationF

### combo1Label

    public static com.sencha.gxt.widget.core.client.toolbar.LabelToolItem combo1Label

### destLabel

    public static com.sencha.gxt.widget.core.client.toolbar.LabelToolItem destLabel

### destLabelF

    public static com.sencha.gxt.widget.core.client.toolbar.LabelToolItem destLabelF

### hideSchedulerButton

    public static com.sencha.gxt.widget.core.client.button.TextButton hideSchedulerButton

### showSchedulerButton

    public static com.sencha.gxt.widget.core.client.button.TextButton showSchedulerButton

### sendButton

    public static com.sencha.gxt.widget.core.client.button.TextButton sendButton

### makeNewFolder

    public static com.sencha.gxt.widget.core.client.button.TextButton makeNewFolder

### deleteCurrentFolder

    public static com.sencha.gxt.widget.core.client.button.TextButton deleteCurrentFolder

### makeNewTreeSource

    public static com.sencha.gxt.widget.core.client.button.TextButton makeNewTreeSource

### deleteCurrentTreeSource

    public static com.sencha.gxt.widget.core.client.button.TextButton deleteCurrentTreeSource

### showSourcesButton

    public static com.sencha.gxt.widget.core.client.button.TextButton showSourcesButton

### showDestinationsButton

    public static com.sencha.gxt.widget.core.client.button.TextButton showDestinationsButton

### lastCombo1Value

    public static String lastCombo1Value

### lastDestComboValue

    public static String lastDestComboValue

### destinationAnchor

    public static com.sencha.gxt.widget.core.client.tips.ToolTipConfig destinationAnchor

### sourceAnchor

    public static com.sencha.gxt.widget.core.client.tips.ToolTipConfig sourceAnchor

### sourceStore

    public static com.sencha.gxt.data.shared.TreeStore<BaseDto> sourceStore

### targetStore

    public static com.sencha.gxt.data.shared.TreeStore<BaseDto> targetStore

### toBeTransferredStore

    public static com.sencha.gxt.data.shared.TreeStore<BaseDto> toBeTransferredStore

### sourceTree

    public static com.sencha.gxt.widget.core.client.tree.Tree<BaseDto,String> sourceTree

### targetTree

    public static com.sencha.gxt.widget.core.client.tree.Tree<BaseDto,String> targetTree

### targetTreeDropTarget

    public static com.sencha.gxt.dnd.core.client.TreeDropTarget<BaseDto> targetTreeDropTarget

### vpListFiles

    public static com.sencha.gxt.widget.core.client.container.HorizontalLayoutContainer vpListFiles

### lastSelectedFolderId

    public static String lastSelectedFolderId

### neededParent

    public static boolean neededParent

### toolbarSource

    public static com.sencha.gxt.widget.core.client.toolbar.ToolBar toolbarSource

### toolbarDestF

    public static com.sencha.gxt.widget.core.client.toolbar.ToolBar toolbarDestF

### multiBoxSourceType

    public static com.google.gwt.user.client.ui.ListBox multiBoxSourceType

### multiBoxDestinationType

    public static com.google.gwt.user.client.ui.ListBox multiBoxDestinationType

### commandsInGrid

    public static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String> commandsInGrid

### ResourceNameInGrid

    public static com.sencha.gxt.widget.core.client.form.TextField ResourceNameInGrid

### scopeInGrid

    public static com.sencha.gxt.widget.core.client.form.TextField scopeInGrid

### transferIdInGrid

    public static com.sencha.gxt.widget.core.client.form.TextField transferIdInGrid

### forceInGrid

    public static com.sencha.gxt.widget.core.client.form.CheckBox forceInGrid

### newFolderField

    public static com.sencha.gxt.widget.core.client.form.TextField newFolderField

### newTreeSourceField

    public static com.sencha.gxt.widget.core.client.form.TextField newTreeSourceField

### currentAgentSourcePath

    public static String currentAgentSourcePath

### selectedAgentSourcePath

    public static String selectedAgentSourcePath

### lastSelectedAgentFolderName

    public static String lastSelectedAgentFolderName

### selectedAgentSource

    public static String selectedAgentSource

### selectedAgentSourcePort

    public static String selectedAgentSourcePort

### currentAgentDestinationPath

    public static String currentAgentDestinationPath

### selectedAgentDestinationPath

    public static String selectedAgentDestinationPath

### lastSelectedAgentFolderDestName

    public static String lastSelectedAgentFolderDestName

### selectedAgentDestination

    public static String selectedAgentDestination

### selectedAgentDestinationPort

    public static String selectedAgentDestinationPort

### smServiceNameSource

    public static com.sencha.gxt.widget.core.client.form.TextField smServiceNameSource

### smServiceClassSource

    public static com.sencha.gxt.widget.core.client.form.TextField smServiceClassSource

### smOwnerSource

    public static com.sencha.gxt.widget.core.client.form.TextField smOwnerSource

### smAccessTypeSource

    public static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String> smAccessTypeSource

### currentMongoDBSourcePath

    public static String currentMongoDBSourcePath

### selectedMongoDBSourcePath

    public static String selectedMongoDBSourcePath

### lastSelectedMongoDBFolderName

    public static String lastSelectedMongoDBFolderName

### defaultValuesStorage

    public static com.sencha.gxt.widget.core.client.form.CheckBox defaultValuesStorage

### smServiceName

    public static com.sencha.gxt.widget.core.client.form.TextField smServiceName

### smServiceClass

    public static com.sencha.gxt.widget.core.client.form.TextField smServiceClass

### smOwner

    public static com.sencha.gxt.widget.core.client.form.TextField smOwner

### smAccessType

    public static com.sencha.gxt.widget.core.client.form.SimpleComboBox<String> smAccessType

### currentMongoDBDestinationPath

    public static String currentMongoDBDestinationPath

### selectedMongoDBDestinationPath

    public static String selectedMongoDBDestinationPath

### lastSelectedMongoDBFolderDestName

    public static String lastSelectedMongoDBFolderDestName

### defaultValuesSource

    public static com.sencha.gxt.widget.core.client.form.CheckBox defaultValuesSource

### passWorkspace

    public static com.sencha.gxt.widget.core.client.form.PasswordField passWorkspace

### dataStoragesList

    public static List<String> dataStoragesList

### selectedDatastorageName

    public static String selectedDatastorageName

### multiBoxDataStorages

    public static com.google.gwt.user.client.ui.ListBox multiBoxDataStorages

### selectedDataStorageId

    public static String selectedDataStorageId

### currentDataStoragePath

    public static String currentDataStoragePath

### selectedDatastoragePath

    public static String selectedDatastoragePath

### lastSelectedDatastorageFolderName

    public static String lastSelectedDatastorageFolderName

### stringOfWriteSourceIDs

    public static String stringOfWriteSourceIDs

### multiBoxTreeWriteSources

    public static com.google.gwt.user.client.ui.ListBox multiBoxTreeWriteSources

### selectedDestCollection

    public static String selectedDestCollection

### uriGrid

    public static com.sencha.gxt.widget.core.client.grid.Grid<Uri> uriGrid

### storeForUris

    public static com.sencha.gxt.data.shared.ListStore<Uri> storeForUris

### editing

    public static com.sencha.gxt.widget.core.client.grid.editing.GridEditing<Uri> editing

### cc1Uris

    public static com.sencha.gxt.widget.core.client.grid.ColumnConfig<Uri,String> cc1Uris

### cc2Uris

    public static com.sencha.gxt.widget.core.client.grid.ColumnConfig<Uri,String> cc2Uris

### multiBoxDataSources

    public static com.google.gwt.user.client.ui.ListBox multiBoxDataSources

### dataSourcesList

    public static List<String> dataSourcesList

### selectedDataSourceId

    public static String selectedDataSourceId

### selectedDatasourcePath

    public static String selectedDatasourcePath

### currentDataSourcePath

    public static String currentDataSourcePath

### lastSelectedDataSourceFolderName

    public static String lastSelectedDataSourceFolderName

### stringOfAgentStats

    public static String stringOfAgentStats

### listAgentStats

    public static List<AgentStat> listAgentStats

### gridAgentStats

    public static com.sencha.gxt.widget.core.client.grid.Grid<AgentStat> gridAgentStats

### storeAgentStats

    public static com.sencha.gxt.data.shared.ListStore<AgentStat> storeAgentStats

### cmAgentStat

    public static com.sencha.gxt.widget.core.client.grid.ColumnModel<AgentStat> cmAgentStat

### callingManagementResultJson

    public static String callingManagementResultJson

### folderResSource

    public static String folderResSource

### folderResDestination

    public static String folderResDestination

### jsonWorkspace

    public static String jsonWorkspace

### callingManagementResult

    public static CallingManagementResult callingManagementResult

### callingSchedulerResult

    public static CallingSchedulerResult callingSchedulerResult

### folderSource

    public static FolderDto folderSource

### folderDestination

    public static FolderDto folderDestination

### uriProp

    public static UriProperties uriProp

### transferInfoProp

    public static TransferInfoProperties transferInfoProp

### agentStatProp

    public static AgentStatProperties agentStatProp

### outcomesProp

    public static OutcomesProperties outcomesProp

### treeOutcomesProp

    public static TreeOutcomesProperties treeOutcomesProp

### baseDtoProp

    public static BaseDtoProperties baseDtoProp

### store

    public static com.sencha.gxt.data.shared.ListStore<TransferInfo> store

### grid

    public static com.sencha.gxt.widget.core.client.grid.Grid<TransferInfo> grid

### gettingUserAndScope

    public static boolean gettingUserAndScope

### stringOfAgents

    public static String stringOfAgents

### multiBoxAgents

    public static com.google.gwt.user.client.ui.ListBox multiBoxAgents

### listOutcomes

    public static List<Outcomes> listOutcomes

### listTreeOutcomes

    public static List<TreeOutcomes> listTreeOutcomes

### printFolderString

    public static String printFolderString

### agentStats

    public static com.sencha.gxt.widget.core.client.button.ToolButton agentStats

### agentStatsTooltip

    public static com.sencha.gxt.widget.core.client.tips.ToolTipConfig agentStatsTooltip

### forTreeElementDescription

    public static com.sencha.gxt.widget.core.client.Dialog forTreeElementDescription

### portlet

    public static SchedulerPortlet portlet

Constructor Detail

### Common

    public Common()

Method Detail

### createGridEditing

    public static com.sencha.gxt.widget.core.client.grid.editing.GridEditing<Uri> createGridEditing(com.sencha.gxt.widget.core.client.grid.Grid<Uri> editableGrid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.